package com.bjtdba.system.service.impl;


import com.bjtdba.entity.system.SystemGroup;
import com.bjtdba.system.dao.SystemGroupDao;
import com.bjtdba.system.service.SystemGroupService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 组合数据表(SystemGroup)表服务实现类
 *
 * @author makejava
 * @since 2022-10-16 09:28:38
 */
@Service("systemGroupService")
public class SystemGroupServiceImpl implements SystemGroupService {
    @Resource
    private SystemGroupDao systemGroupDao;

    /**
     * 通过ID查询单条数据
     *
     * @param groupId 主键
     * @return 实例对象
     */
    @Override
    public SystemGroup queryById(Integer groupId) {
        return this.systemGroupDao.queryById(groupId);
    }

    /**
     * 分页查询
     *
     * @param systemGroup 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    @Override
    public List<SystemGroup> queryByPage(SystemGroup systemGroup) {
        return  systemGroupDao.queryAllByLimit(systemGroup);
    }

    /**
     * 新增数据
     *
     * @param systemGroup 实例对象
     * @return 实例对象
     */
    @Override
    public SystemGroup insert(SystemGroup systemGroup) {
        this.systemGroupDao.insert(systemGroup);
        return systemGroup;
    }

    /**
     * 修改数据
     *
     * @param systemGroup 实例对象
     * @return 实例对象
     */
    @Override
    public SystemGroup update(SystemGroup systemGroup) {
        this.systemGroupDao.update(systemGroup);
        return this.queryById(systemGroup.getGroupId());
    }

    /**
     * 通过主键删除数据
     *
     * @param groupId 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Integer groupId) {
        return this.systemGroupDao.deleteById(groupId) > 0;
    }
}
